##### basic_seq_packet_socket::non_blocking (1 of 3 overloads)

Inherited from basic_socket.

Gets the non-blocking mode of the socket.

    bool non_blocking() const;

###### Return Value

`true` if the socket's synchronous operations will fail with `asio::error::would_block` if they are unable to perform the requested operation immediately. If `false`, synchronous operations will block until complete.

###### Remarks

The non-blocking mode has no effect on the behaviour of asynchronous operations. Asynchronous operations will never fail with the error `asio::error::would_block`.